#THE GROUPS BELOW ARE JSUT EXAMPLES! YOU CAN DELETE THEM ALL AND START CREATING YOUR OWN!
balancing-groups:
  Lobbies: #your group name here
    balancing: true #Is this group automatically balanced ?
    internal-balancing: false #If you enable this, lobby selector plugins wont work 
    clear-chat: true #Clear player chat before joining this group
    is-main: true #Your main hub/lobby group - can be only one
    is-login-group: true #If true, newly connected players are send to this group, only 1 group can have this value set to true
    fallback-group: "Lobbies" #where to send players if the server crashes
    shared-chat: true
    permission-redirect:
      PremiumHub:
        permission: "vip.player"
        targetGroup: "PrimeHubs"
    servers: #server names must match exactly (it is case-sensitive) your server names in bungee config
    - Hub1
  PrimeHubs:
    balancing: true
    internal-balancing: false
    clear-chat: true
    is-main: false
    is-login-group: false
    fallback-group: "Lobbies"
    shared-chat: false
    permission-redirect:
      PremiumHub:
        permission: "vip.player"
        targetGroup: "PremiumSkyWarsHubs"
    servers:
    - PrimeHub

#Players will be forced to your logingroup of servers after they join your bungee, disabling this will disable logingroup option in the section above, this is useful when you want to just balance your lobby servers and you want that players stays on server where they last logged off or you want to control this feature with another plugin (like BungeeAuthentificator)
force-login-group: true


#Can change this if you have more plugins sending players to different servers on the bungee-side
#Values are: [LOWEST, LOW, NORMAL, HIGH, HIGHEST]
#For ViaVersion on bungee-side this must be set to HIGHEST
multilobby-priority: HIGHEST

#Detect if lobby server is offline and redirect players to other lobby which is online (this feature may take additional resources especially RAM, by default this feature is disabled)
#You might experience some issues if you use multi-protocol servers or fake offline detections, just keep it disabled, players will be still able to connect if 1 of your lobby servers goes down, dont worry.
offlinedetection: true

#How often should MultiLobby check the lobby servers if they are online or offline, the interval is in secs. (By default there is an interval 25 seconds, this means that MultiLobby pings all of your lobby servers every 25 secs, if lobby server does not respond to the ping = server is down and MultiLobby will no more be sending players to this server). If there is no online lobby, all players that are trying to connect will be kicked
detectioninterval: 25

#Socket timeout for offline detection or external lobby status in miliseconds. Do not touch this value util you have problems with pinging. If you have higher ping between bungee and lobby machines raise this value 2x higher than the ping value between lobby and bungee machines. Default is 100.
socket-timeout: 200

#Allows your players use "slash-server-commands". So if your lobby server is called "Lobby2", you can use /Lobby2 to teleport to Lobby2! (it works only for lobby servers).
slash-lobby: true

#Command blacklist (from here you can deny some commands on certain servers, there are 2 examples, if you have auth servers, then you probably do not want to let players teleport to lobby without logging-in. If you want to use this feature font forget to change option enabled: true!
#can be bypassed by "ml.cmd.bypass" permission
cmdblacklist:
  enabled: false
  Auth1:
  - /lobby
  - /hub
  Auth2:
  - /lobby
  - /hub

#Should command /glag show you local or external number of player connected to lobby servers ? (false=internal bungee status)
glag-external-status: true

#Motd can be easily edited from here (if enabled) without having to do /greload which is dangerous command and can lead to serious problems, this motd can be loaded by /mlreload command:
motd: "&6My Super Network"
motdenabled: false


#If server is closed should be the player moved to the fallback group of servers ? If disable player will be kicked out of the network
kick-move:
  enabled: true
  allow-on-login-group: false
  #If the kick reason contains one of the following phrases or words, player will be kicked out of the network instead to a lobby server (works only if the kick-move is enabled)
  reason-blacklist:
  - "ban"
  - "kick"
  #Reasons that will be ignored by multilobby means default behavior for your network for kick events
  reason-whitelist:
  - "Wartungsarbeiten"

#gsay prefix:
gsay-prefix: ""

#Shared chat:
enable-shared-chat: true
shared-chat-format: "&7[&e%server%&7]&f %prefix% %playername% %suffix%: %msg%"
#Force the shared chat format even on the same server as the message sender is on
shared-chat-force-format: false
shared-chat-debug: false
shared-chat-ignore-list: #ignore shared chat when message starts with one of these characters or strings
- "@"
- "$"

#Glist:
#To use the custom glist you have to disable module "cmd_list" in your bungeecord in modules.yml (delete the line) and delete the file cmd_list.jar from "modules" folder located also in your bungeecord folder.
custom-glist: false
glist-format: "&a[%server%] &f(%numplayers%): %playerlist%"
glist-total: "Total player online: %totalnum%"
glist-excluded:
- MySuperSecretServer1
- MySuperSecretServer2

#Enable /player command
player-enabled: false

#Enable debug:
debug: false

#print all info available - warning: this can be log heavy and should be used only when analyzing config errors
extradebug: false

#Protect MultiLobby commands againts abuse
cmdcooldown: true

#Enable /lobby and /hub command
lobbycommand: true

#Always send your players to the fallback groups when /hub or /lobby commands are executed
always-force-fallbacks: false

#Every x seconds prints info about server status into console (players, server load, allocated RAM), this feature is great if you are trying to analyze Bungee-side lags.
printinfo: false

#print interval in seconds
printinfointerval: 5

#limit maximum number of player server switches
security:
  limit-max-rejoins: true #enable/disable this feature
  max-rejoins: 4 #max server switch count per clear-interval
  clear-interval: 10 #clear interval in seconds - meaning player can make only 5 server switches per 10 seconds, after that he will get kicked out
  limit-exceeded-message: "Du wechselst die Server zu schnell! Bitte warte!"


#Messages:
enablekickmsg: false
kickmsg: "Du wurdest zum Fallback-Server verschoben: &reason"
spamblock: "Als Spam blockiert!"
alternatives: "Alternativen"
playernotfound: "Spieler nicht gefunden!"
ison: " spielt auf "
badarguments: "Falsche Argumente"
name: "Name"
noperm: "Du hast keine Berechtigung, diesen Befehl auszuführen!"
wrongnumber: "Falsche Lobby-Nummer! Benutze: /lobby <Nummer>"
cmdblock: "Du kannst diesen Befehl hier nicht verwenden!"
noonlinelobbyfound: "Derzeit ist keine Lobby online, bitte versuche es später erneut!"


#Do not touch the version
version: 5
